#!/bin/bash

sample_dir="solved_clusters/"
output_dir="dat"
bitmask=32

rm $output_dir/*.csv

for file in `find $sample_dir -iname *.wav`; do
	output_filename=`echo ${file#*/} | sed 's|/|_|g'`
	word=${output_filename%%_*}
	echo sox "$file" -n stat -s 1 -freq \&\> "$output_dir/${output_filename}.dat" 
	sox "$file" -n stat -s 1 -freq &> "$output_dir/${output_filename}.dat" 
	python ../splot.py $output_dir/${output_filename}.dat $bitmask >> $output_dir/$word.csv
	rm $output_dir/${output_filename}.dat
done

